
Redmine - Defect #7960

Settings->email->notified_events bug

2011-03-22 20:17 - Petr Pospisil

Status: Closed Start date: 2011-03-22

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category: Administration Estimated time: 1.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

Hi,

in SettingsController was changed row to "@notifiables = Redmine::Notifiable.all", but helper SettingsHelper (method

setting_multiselect) doesn't reflect it. Please add "value = value.name if value.is_a?(Redmine::Notifiable)" between row #46 and #47.

        text, value = (choice.is_a?(Array) ? choice : [choice, choice]) 

        value = value.name if value.is_a?(Redmine::Notifiable)

        content_tag('label',

          check_box_tag("settings[#{setting}][]", value, Setting.send(setting).include?(value)) + 

text.to_s,

          :class => 'block'

        )

 Without this patch checkboxes at view "settings/_notifications.rhtml" are never checked so emails are not send. Thank you for fix.

Petr

History

#1 - 2011-03-23 15:29 - Etienne Massip

Can't reproduce.

setting_multiselect is not used to render the checkboxes ?

#2 - 2011-03-24 01:25 - Petr Pospisil

- Status changed from New to Resolved

- % Done changed from 0 to 100

#3 - 2011-03-24 10:16 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Did you find the source of your issue ?

#4 - 2011-03-25 00:00 - Petr Pospisil

oh yeah :-). I had a older version of settings/_notifications.rhtml. I am sorry for the confusion. Petr
